# spec file for package compal-laptop-control (Version 0.3.4)
#
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Name:		compal-laptop-control
Summary:	A control tool for compal laptops using QT4
License:	GPL
Group:		Hardware/Other
URL:		http://krzemin.iglu.cz/software/compal-laptop-control-en
Version:	0.3.4
Release:	3.4
Source0:	%{name}-%{version}.tar.bz2
Source1:	50-compal-laptop.rules
Source2:	%{name}-permissions.sh
Source3:	%{name}-permissions-backlight.sh
Patch0:		%{name}-desktop.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libqt4-devel update-desktop-files
PreReq:		pwdutils udev

%description
Compal Laptop Control is small software for Linux that can switch
bluetooth or wireless lan power and manage lcd brightness and battery
charging level on Compal IFL90/FL90 and similar laptops.

It requires compal-laptop kernel module by Cezary Jackiewicz you can
find here: http://eko.one.pl/index.php?page=compal-laptop



%prep
%setup -q
%patch0 -p0

%build
qmake %{name}.pro

make

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_datadir}/%{name}/translations
mkdir -p %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_sysconfdir}/udev/rules.d
mkdir -p %{buildroot}/lib/udev

install -m 0755 %{name} %{buildroot}/%{_bindir}/
install -m 0755 %{SOURCE2} %{buildroot}/lib/udev/
install -m 0755 %{SOURCE3} %{buildroot}/lib/udev/
install -m 0644 doc/%{name}.desktop %{buildroot}/%{_datadir}/applications/
install -m 0644 doc/%{name}.1.gz %{buildroot}/%{_mandir}/man1/
install -m 0644 translations/locale*.qm %{buildroot}/%{_datadir}/%{name}/translations/
install -m 0644 res/%{name}.png  %{buildroot}/%{_datadir}/pixmaps/
install -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/udev/rules.d/
 
%pre
/usr/sbin/groupadd -r compal-laptop &>/dev/null || :

echo 'Creating the "compal-laptop" group ....'
echo 'If you want to use this tool as a non-root user'
echo 'then add her/him to this group!'
 
%post
%if 0%{?suse_version} <= 1100
/sbin/udevadm control --reload_rules &>/dev/null
%else
/sbin/udevadm control --reload-rules &>/dev/null
%endif


%postun
%if 0%{?suse_version} <= 1100
/sbin/udevadm control --reload_rules &>/dev/null
%else
/sbin/udevadm control --reload-rules &>/dev/null
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/changelog doc/changelog-pl doc/README* 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations/
%{_datadir}/%{name}/translations/locale*.qm
%dir /lib/udev/
%dir /etc/udev/
%dir /etc/udev/rules.d/
/lib/udev/%{name}-permissions*
%config /etc/udev/rules.d/50-compal-laptop.rules


%changelog
* Mon May 04 2009 AxelKoellhofer@web.de
- added udev-rules and scripts 
- added pre/post install scriptlets 
- non-root users can use this tool if they are members of the "compal-laptop" group
* Sun May 03 2009 AxelKoellhofer@web.de 
- initial package, version 0.3.4
